/*
 * Copyright (c) 2006-2008 Maskat Project.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Maskat Project - initial API and implementation
 */
package org.maskat.core.layout;

public class DivSplit extends AbstractContainer implements ComponentPart {
	
	public static final String BACKGROUND_COLOR_DEFAULT = "white";

	private String backgroundColor = BACKGROUND_COLOR_DEFAULT;

	public String getBackgroundColor() {
		return backgroundColor;
	}

	public void setBackgroundColor(String backgroundColor) {
		this.backgroundColor = backgroundColor;
	}

	public int getIdx() {
		//Splitter def = (Splitter) this.getContainer();
		Splitter def = (Splitter) this.getParent();
		return def.getChildIdx(this);
	}
}
